crashpad::DebugRendezvous Class Reference

Reads an `r_debug` struct defined in `<link.h>` via ProcessMemoryRange. More...

`#include "snapshot/linux/debug_rendezvous.h"`

## Classes

struct | LinkEntry
| An entry in the dynamic linker's list of loaded objects. More...

## Public Member Functions

bool | Initialize (const ProcessMemoryRange &memory, LinuxVMAddress address)
| Initializes this object by reading an `r_debug` struct from a target process. More...
const LinkEntry * | Executable () const
| Returns the LinkEntry for the main executable.
const std::vector< LinkEntry > & | Modules () const
| Returns a vector of modules found in the link map. More...

## Detailed Description

Reads an `r_debug` struct defined in `<link.h>` via ProcessMemoryRange.

## Member Function Documentation

## Initialize()

bool crashpad::DebugRendezvous::Initialize | ( | const ProcessMemoryRange & | memory,
|  | LinuxVMAddress | address
| ) |  |

Initializes this object by reading an `r_debug` struct from a target process.

This method must be called successfully prior to calling any other method in this class.

Parameters

  [in] | memory | A memory reader for the remote process.
  [in] | address | The address of an `r_debug` struct in the remote process.

Returns
  `true` on success. `false` on failure with a message logged.

## Modules()

const std::vector< DebugRendezvous::LinkEntry > & crashpad::DebugRendezvous::Modules | ( |  | ) | const

Returns a vector of modules found in the link map.

This list excludes the entry for the executable and may include entries for the VDSO and loader.

The documentation for this class was generated from the following files:

- snapshot/linux/debug_rendezvous.h
- snapshot/linux/debug_rendezvous.cc